Bug 171188

Summary: [ATK] aria-modal="true" should be exposed via ATK_STATE_MODAL
Product: WebKit Reporter: Joanmarie Diggs (irc: joanie) <jdiggs>
Component: AccessibilityAssignee: Joanmarie Diggs (irc: joanie) <jdiggs>
Status: RESOLVED FIXED    
Severity: Normal CC: aboxhall, apinheiro, buildbot, cfleizach, commit-queue, dmazzoni, jcraig, samuel_white, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: Linux   
Attachments:
Description Flags
Patch
none
Patch none

Description Joanmarie Diggs (irc: joanie) 2017-04-22 21:09:40 PDT
https://rawgit.com/w3c/aria/master/core-aam/core-aam.html#ariaModalTrue
Comment 1 Radar WebKit Bug Importer 2017-04-22 21:10:38 PDT
<rdar://problem/31776306>
Comment 2 Joanmarie Diggs (irc: joanie) 2017-04-27 09:26:25 PDT
Created attachment 308399 [details]
Patch
Comment 3 Joanmarie Diggs (irc: joanie) 2017-04-28 09:03:59 PDT
Chris: Please review. Thanks!
Comment 4 chris fleizach 2017-04-28 09:08:55 PDT
Comment on attachment 308399 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=308399&action=review

> Source/WebCore/accessibility/AccessibilityObject.cpp:2029
> +    Node* node = this->node();

this node check doesn't seem necessary

> Source/WebCore/accessibility/AccessibilityObject.cpp:2033
> +    AXObjectCache* cache = axObjectCache();

if (AXObjectCache* cache = axObjectCache())
    return cache->ariaModalNode() == node();

return false;
Comment 5 Joanmarie Diggs (irc: joanie) 2017-04-28 09:43:44 PDT
(In reply to chris fleizach from comment #4)
> Comment on attachment 308399 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=308399&action=review
> 
> > Source/WebCore/accessibility/AccessibilityObject.cpp:2029
> > +    Node* node = this->node();
> 
> this node check doesn't seem necessary

What if we created an AccessibilityObject which lacked a node, and didn't have any nodes with aria-modal="true"?

> > Source/WebCore/accessibility/AccessibilityObject.cpp:2033
> > +    AXObjectCache* cache = axObjectCache();
> 
> if (AXObjectCache* cache = axObjectCache())
>     return cache->ariaModalNode() == node();
> 
> return false;
Comment 6 chris fleizach 2017-04-28 09:45:54 PDT
(In reply to Joanmarie Diggs (irc: joanie) from comment #5)
> (In reply to chris fleizach from comment #4)
> > Comment on attachment 308399 [details]
> > Patch
> > 
> > View in context:
> > https://bugs.webkit.org/attachment.cgi?id=308399&action=review
> > 
> > > Source/WebCore/accessibility/AccessibilityObject.cpp:2029
> > > +    Node* node = this->node();
> > 
> > this node check doesn't seem necessary
> 
> What if we created an AccessibilityObject which lacked a node, and didn't
> have any nodes with aria-modal="true"?

hmm yea that would be true

if (AXObjectCache* cache = axObjectCache())
     return node() && cache->ariaModalNode() == node();


> 
> > > Source/WebCore/accessibility/AccessibilityObject.cpp:2033
> > > +    AXObjectCache* cache = axObjectCache();
> > 
> > if (AXObjectCache* cache = axObjectCache())
> >     return cache->ariaModalNode() == node();
> > 
> > return false;
Comment 7 Joanmarie Diggs (irc: joanie) 2017-04-28 09:52:52 PDT
Created attachment 308543 [details]
Patch
Comment 8 WebKit Commit Bot 2017-04-28 10:47:29 PDT
The commit-queue encountered the following flaky tests while processing attachment 308543 [details]:

media/modern-media-controls/macos-fullscreen-media-controls/macos-fullscreen-media-controls-buttons-styles.html bug 168317 (author: graouts@apple.com)
The commit-queue is continuing to process your patch.
Comment 9 WebKit Commit Bot 2017-04-28 10:47:30 PDT
The commit-queue encountered the following flaky tests while processing attachment 308543 [details]:

The commit-queue is continuing to process your patch.
Comment 10 WebKit Commit Bot 2017-04-28 11:17:30 PDT
Comment on attachment 308543 [details]
Patch

Clearing flags on attachment: 308543

Committed r215932: <http://trac.webkit.org/changeset/215932>
Comment 11 WebKit Commit Bot 2017-04-28 11:17:32 PDT
All reviewed patches have been landed.  Closing bug.